---
- hosts: all
  become: yes

  vars_files:
    - ./group_vars/vault.yml

  vars:
    k8s_address: 'http://139.59.205.221:80/'
    server_message: 'zero-downtime-deployment'
    datadog_site: 'datadoghq.eu'
    datadog_api_key: '{{ vault_datadog_api_key }}'
    datadog_checks:
      http_check:
        init_config:
        instances:
          - name: Application health check status
            url: '{{ k8s_address }}'
            timeout: 5

  tasks:
    - name: Install and run Datadog agent.
      include_role:
        name: datadog.datadog

